{
  "schema_version": "1.4.0",
  "id": "GHSA-6336-f8r9-rhcv",
  "modified": "2022-05-02T03:13:08Z",
  "published": "2022-05-02T03:13:08Z",
  "aliases": [
    "CVE-2009-0147"
  ],
  "details": "Multiple integer overflows in the JBIG2 decoder in Xpdf 3.02pl2 and earlier, CUPS 1.3.9 and earlier, and other products allow remote attackers to cause a denial of service (crash) via a crafted PDF file, related to (1) JBIG2Stream::readSymbolDictSeg, (2) JBIG2Stream::readSymbolDictSeg, and (3) JBIG2Stream::readGenericBitmap.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-0147"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=490614"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9941"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-July/msg00567.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-June/msg01277.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-June/msg01291.html"
    },
    {
      "type": "WEB",
      "url": "http://bugs.gentoo.org/show_bug.cgi?id=263028"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2009/Jun/msg00005.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2009/May/msg00002.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2009-04/msg00011.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2009-05/msg00000.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2009-07/msg00002.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2009-0458.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34291"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34481"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34755"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34756"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34852"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34959"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34963"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34991"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35037"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35064"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35065"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35074"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35618"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35685"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200904-20.xml"
    },
    {
      "type": "WEB",
      "url": "http://slackware.com/security/viewer.php?l=slackware-security&y=2009&m=slackware-security.578477"
    },
    {
      "type": "WEB",
      "url": "http://support.apple.com/kb/HT3549"
    },
    {
      "type": "WEB",
      "url": "http://support.apple.com/kb/HT3639"
    },
    {
      "type": "WEB",
      "url": "http://wiki.rpath.com/Advisories:rPSA-2009-0059"
    },
    {
      "type": "WEB",
      "url": "http://wiki.rpath.com/Advisories:rPSA-2009-0061"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1790"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1793"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2009:101"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2010:087"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2009-0429.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2009-0430.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2009-0431.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2009-0480.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/502750/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/502761/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/34568"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1022073"
    },
    {
      "type": "WEB",
      "url": "http://www.us-cert.gov/cas/techalerts/TA09-133A.html"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/1065"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/1066"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/1077"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/1297"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/1621"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/1040"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-04-23T17:30:00Z"
  }
}